UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMConfigOption Class Reference

## Public Member Functions
| LBMConfigOption (String t, String o, String v)
void | setType (String t)
void | setOptionName (String o)
void | setValue (String v)
String | getType ()
String | getOptionName ()
String | getValue ()

## Detailed Description

LBM Configuration Option Class.

This object holds configuration information in string format. This class is used to dump current configuration options that are set

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMConfigOption.LBMConfigOption | ( | String | t,
|  | String | o,
|  | String | v
| ) |  |

Instantiate an LBMConfigObjection using given attributes. This structure is populated and returned via configDump() calls.

Parameters

  t | The type of option it will be (context, source, etc...).
  o | The option name.
  v | The assigned value of the option.

## Member Function Documentation

String com.latencybusters.lbm.LBMConfigOption.getOptionName | ( |  | ) |

Get the configuration option of this object.

Returns
  Returns the configuration option of the object.

String com.latencybusters.lbm.LBMConfigOption.getType | ( |  | ) |

Get the configuration type of this object.

Returns
  Returns the configuration type of the object.

String com.latencybusters.lbm.LBMConfigOption.getValue | ( |  | ) |

Get the configuration vlaue of this object.

Returns
  Returns the configuration value of the object.

void com.latencybusters.lbm.LBMConfigOption.setOptionName | ( | String | o | ) |

Set the option name value of this configuration option.

Parameters

  o | The type value to set.

void com.latencybusters.lbm.LBMConfigOption.setType | ( | String | t | ) |

Set the type value of this configuration option.

Parameters

  t | The type value to set.

void com.latencybusters.lbm.LBMConfigOption.setValue | ( | String | v | ) |

FOR INTERNAL INFORMATICA USE ONLY - NOT FOR DIRECT APPLICATION USEAGE. Applications should use setProperty() instead. Set the configuration option valuen.

Parameters

  v | The value to set.

The documentation for this class was generated from the following file:

- LBMConfigOption.java